Loading...
Searching...
No Matches
ftmpl_factor.h File Reference
`#include <iostream>`

Go to the source code of this file.

## Data Structures

class | Factor< T >

## Macros

#define | OSTREAM std::ostream

## Functions

template<class T>
int | operator== (const Factor< T > &, const Factor< T > &)
template<class T>
OSTREAM & | operator<< (OSTREAM &os, const Factor< T > &f)

## Macro Definition Documentation

## OSTREAM

#define OSTREAM std::ostream

Definition at line 9 of file ftmpl_factor.h.

## Function Documentation

## operator<<()

template<class T>

OSTREAM & operator<< | ( | OSTREAM & | os,
|  | const Factor< T > & | f )

Definition at line 40 of file ftmpl_factor.cc.

{
f.print( os );
return os;
}
f
FILE * f
Definition checklibs.c:9

## operator==()

template<class T>

int operator== | ( | const Factor< T > & | f1,
|  | const Factor< T > & | f2 )

Definition at line 24 of file ftmpl_factor.cc.

{
return (f1.exp() == f2.exp()) && (f1.factor() == f2.factor());
}
Factor::exp
int exp() const
Definition ftmpl_factor.h:31
Factor::factor
T factor() const
Definition ftmpl_factor.h:30